<link rel="import" href="../bower_components/polymer/polymer.html">
<link rel="import" href="../bower_components/app-route/app-location.html">
<link rel="import" href="../bower_components/app-route/app-route.html">

<dom-module id="dezrann-app">
  <template>
    <style>
    </style>

    <app-location route="{{route}}" use-hash-as-path></app-location>
    <app-route
        route="{{route}}"
        pattern="/:page"
        data="{{routeData}}"
        tail="{{subroute}}"></app-route>

    <sc-view server="http://localhost:8888" id="[[page]]"></sc-view>
    <!-- <sc-view server="http://webtest.lifl.fr" id="[[page]]"></sc-view> -->

  </template>

  <script>
    Polymer({
      is: 'dezrann-app',

      properties: {
        page: {
          type: String,
          reflectToAttribute: true,
          observer: '_pageChanged'
        },
      },

      observers: [
        '_routePageChanged(routeData.page)',
      ],

      _routePageChanged: function(page) {
          if (page) {
              this.page = page.split('?')[0]
          } else {
              this.page = 'bwv847';
          }

      },

      _pageChanged: function(page) {
        // Load page import on demand. Show 404 page if fails
        var resolvedPageUrl = this.resolveUrl('sc-view.html');
        this.importHref(resolvedPageUrl, null, null, true);
      }

    });
  </script>
</dom-module>
